﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.3
@EndOfDesignText@
Private Sub Class_Globals
	Private FirstViewType As Int = 0
	Private LastViewType As Int = 0
	Private const FIRST_VT = -1 , LAST_VT = -2 As Int
	
	Private mSpace As Int
	Private first_edge,last_edge As Boolean
	
	Private ARV As Amir_RecyclerView
End Sub

Public Sub Initialize (RV As Amir_RecyclerView,Space As Int,AddSpaceAboveFirstItem As Boolean,AddSpaceBelowLastItem As Boolean)
	ARV = RV
	mSpace = Space
	first_edge = AddSpaceAboveFirstItem
	last_edge = AddSpaceBelowLastItem
End Sub

Public Sub GetViewType (Position As Int,DefaultViewType As Int) As Int
	If Position = 0 Then
		FirstViewType = DefaultViewType
		Return FIRST_VT
	Else if ARV<>Null And ARV.IsInitialized And ARV.Adapter<>Null And Position = ARV.Adapter2.ItemCount-1 Then
		LastViewType = DefaultViewType
		Return LAST_VT
	End If
	Return DefaultViewType
End Sub

Public Sub GetViewType2 (LastItem As Boolean,DefaultViewType As Int) As Int
	If LastItem Then 
		LastViewType = DefaultViewType
		Return LAST_VT
	End If
	Return DefaultViewType
End Sub

Public Sub GetRealViewType (ViewType As Int) As Int
	If ViewType = FIRST_VT Then Return FirstViewType
	If ViewType = LAST_VT Then Return LastViewType
	Return ViewType
End Sub

Public Sub GetNewParent (Parent As Panel,ViewType As Int) As Panel
	Dim Parent2 As Panel
	Parent2.Initialize("")
	If (ViewType = FIRST_VT And first_edge=False) Then
		Parent.AddView(Parent2,0,0,-1,-1)
	Else
		Parent.AddView(Parent2,0,mSpace,-1,-1)
	End If
	Return Parent2
End Sub

Public Sub BindNewParent (Parent As Panel,ViewType As Int) As Panel
	Dim Parent2 As Panel = Parent.GetView(0)
	If (ViewType = FIRST_VT And first_edge=False) Then
		Parent2.SetLayout(0,0,Parent.Width,Parent.Height)
	Else If (ViewType = LAST_VT And last_edge) Then
		Parent2.SetLayout(0,mSpace,Parent.Width,Parent.Height)
		Parent.Height = mSpace + Parent.Height + mSpace
	Else
		Parent2.SetLayout(0,mSpace,Parent.Width,Parent.Height)
		Parent.Height = mSpace + Parent.Height 
	End If
	Return Parent2
End Sub